%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: rst2pdf
Version: 0.16
Release: 2%{?dist}
Summary: Tool for transforming reStructuredText to PDF
License: MIT

Group: Development/Languages
URL: http://rst2pdf.googlecode.com
Source0: http://rst2pdf.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires: python-setuptools python-devel
Requires: python-reportlab python-simplejson python-pygments python-docutils
BuildArch: noarch

%description
Tool for transforming reStructuredText to PDF using ReportLab

%prep
%setup -q
sed -i -e "1d" rst2pdf/findfonts.py
sed -i -e "1d" rst2pdf/smartypants.py
sed -i 's/\r//' Contributors.txt

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --skip-build --root  %{buildroot}
# Removing shebang from Python library 
for lib in $(find %{buildroot}%{python_sitelib}/rst2pdf -name "*.py"); do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

mkdir -p %{buildroot}/%{_mandir}/man1 
install -p -m 644 doc/rst2pdf.1 %{buildroot}/%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.txt Contributors.txt LICENSE.txt README.txt doc/manual.pdf
%{_bindir}/%{name}
%{python_sitelib}/%{name}*
%{_mandir}/man1/*

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 26 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 0.16-1
- New upstream source

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Apr 06 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 0.14.2-1
- New upstream source

* Thu Mar 18 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 0.13.1-1
- New upstream source

* Mon Mar 15 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 0.13-1
- New upstream source

* Tue Feb 02 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 0.12.3-2
- Missing python-docutils dependency (bz #561050)

* Wed Dec 23 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 0.12.3-1
- New upstream source

* Fri Nov 13 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 0.12.2-2
- URL changed
- Requires pygments
- Preserving timestamps during install

* Thu Nov 05 2009 Sergio Pascual <spr@astrax.fis.ucm.es> - 0.12.2-1
- New upstream source

* Wed Jun 24 2009 Sergio Pascual <spr@astrax.fis.ucm.es> - 0.11-1
- New upstream source

* Sun Jun 21 2009 Sergio Pascual <spr@astrax.fis.ucm.es> - 0.10.1-2
- Requires simplejson

* Wed Jun 17 2009 Sergio Pascual <spr@astrax.fis.ucm.es> - 0.10.1-1
- Initial spec file
